{% extends '::base.html.twig'%}
{% block body %}
<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <h2 style="text-align: center; font-family: RobotoThin">pour SOUTENIR la Campagne lancée par l'artiste {{projet.artiste.nomArtiste|upper}}</h2>
      <p style="text-align: center; font-size: 1.5em">" {{projet.titre}} "</p>
      {#                <p style="text-align: center"><a href="" class="btn btn-default">DETAIL DU PROJET</a></p>#}
      <hr/>
    </div>
    <div class="col-sm-12 col-md-4 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body" style="text-align: center">
          <a data-toggle="modal" data-target="#paiement-flooz" href="javascript:void(0)"><img src="{{asset('bundles/kifzik/img/flooz.png')}}" style="height: 150px"/></a>
        </div>
        <div class="panel-footer" style="text-align: center">
          <a class="btn btn-success" data-toggle="modal" data-target="#paiement-flooz">Payer par Flooz</a>

          <div class="modal fade" id="paiement-flooz" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="myModalLabel">Payer par Flooz</h4>
                </div>
                <form class="form-horizontal" action="{{path('main_payer', {'code': projet.code, 'type': 'flooz'})}}" method="post">
                  <div class="modal-body">
                    <div class="row">
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Exemple: 95000000</p>
                        <div id="ptelephone-container" class="" style="margin: 0px">
                          <input required="true" id="ptelephone" name="telephone" class="form-control" type="text" placeholder="Votre numéro de téléphone Flooz"/>
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Montant minimal: 1000 F CFA</p>
                        <input required="true" name="montant" class="form-control" type="number" placeholder="Montant de soutient" min="500"/>
                      </div>
                    </div>
                    <div class="row" style="margin-top: 20px">
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Souitent anonyme?</p>
                        <span style="float: left"><input type="radio" name="anonyme" value="oui" id="anonyme_oui"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_oui">Oui</label></span>
                        <span style="float: left; margin-left: 25px"><input checked="true" type="radio" name="anonyme" value="non" id="anonyme_non"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_non">Non</label></span>
                      </div>
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Exigez-vous une contrepartie?</p>
                        <span style="float: left"><input type="radio" checked="true" name="contrepartie" value="oui" id="contrepartie_oui"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_oui">Oui</label></span>
                        <span style="float: left; margin-left: 25px"><input type="radio" name="contrepartie" value="non" id="contrepartie_non"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_non">Non</label></span>
                      </div>
                    </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                    <button id="pbtnok" type="submit" class="btn btn-success">Payer par Flooz</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-4 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body" style="text-align: center">
          <a href="javascript:void(0)" data-toggle="modal" data-target="#paiement-mm"><img src="{{asset('bundles/kifzik/img/mobilemoney.png')}}" style="height: 150px"/></a>
        </div>
        <div class="panel-footer" style="text-align: center">
          <a class="btn btn-default kifzik-ok-btn" data-toggle="modal" data-target="#paiement-mm">Payer par Mobile Money</a>

          <div class="modal fade" id="paiement-mm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="myModalLabel">Payer par Mobile money</h4>
                </div>
                <form class="form-horizontal" action="{{path('main_payer', {'code': projet.code, 'type': 'flooz'})}}" method="post">
                  <div class="modal-body">
                    <div class="row">
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Exemple: 96000000</p>
                        <div id="ptelephonemtn-container" class="" style="margin: 0px">
                          <input required="true" id="ptelephonemtn" name="telephone" class="form-control" type="text" placeholder="Votre numéro Mobile Money"/>
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Montant minimal: 1000 F CFA</p>
                        <input required="true" name="montant" class="form-control" type="number" placeholder="Montant de soutient" min="500"/>
                      </div>
                    </div>
                    <div class="row" style="margin-top: 20px">
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Souitent anonyme?</p>
                        <span style="float: left"><input type="radio" name="anonyme" value="oui" id="anonyme_oui"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_oui">Oui</label></span>
                        <span style="float: left; margin-left: 25px"><input checked="true" type="radio" name="anonyme" value="non" id="anonyme_non"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_non">Non</label></span>
                      </div>
                      <div class="col-sm-6">
                        <p style="text-align: left; margin: 0px; font-size: 0.9em">Exigez-vous une contrepartie?</p>
                        <span style="float: left"><input type="radio" checked="true" name="contrepartie" value="oui" id="contrepartie_oui"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_oui">Oui</label></span>
                        <span style="float: left; margin-left: 25px"><input type="radio" name="contrepartie" value="non" id="contrepartie_non"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_non">Non</label></span>
                      </div>
                    </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                    <button id="pbtnmtnok" type="submit" class="btn btn-default kifzik-ok-btn">Payer par Mobile Money</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-4 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body" style="text-align: center">
          <img src="{{asset('bundles/kifzik/img/paypal.png')}}" style="height: 150px"/>
        </div>
        <div class="panel-footer" style="text-align: center">
          <a class="btn btn-primary" href="{{path('main_projet_paiement', {'code': projet.code})}}">Payer par carte de credit</a>
        </div>
      </div>
    </div>
  </div>
  <div class="row" style="margin-top: 20px">
    <div class="col-sm-12">
      <h3>CONTREPARTIE PROPOSEE PAR L'ARTISTE</h3>
      <hr/>
    </div>

    {%for c in projet.contrepartieProjets%}
    <div class="col-sm-12 col-md-3 col-lg-3">
      <div style="margin-bottom: 20px">
        <div style="padding: 10px; font-weight: bold; height: 40px; background: #fa9d0b">{{c.montant}}</div>
        <div style="padding: 10px; height: auto; background: whitesmoke; height: 150px">
          <p style="font-weight: bold">{{c.libelle}}</p>
          <p style="">{{c.description|slice(0,160)}} ...</p>
        </div>
      </div>
    </div>
    {%endfor%}
  </div>
</div>
{%endblock%}
